module.exports = {
  create: {
    requestBody: ["sender_id", "sender_name", "!content", "send_time", "role", "dock_id"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["sender_id", "sender_name", "content", "send_time", "role", "dock_id"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: ["sender_id", "sender_name", "content", "send_time", "role", "dock_id"],
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
