module.exports = {
  create: {
    requestBody: [
      "column_id",
      "column_name",
      "!title",
      "titlejj",
      "orgin",
      "publish",
      "publish_time",
      "content",
      "uid",
      "picture",
      "filepath",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "column_id",
      "column_name",
      "!title",
      "titlejj",
      "orgin",
      "publish",
      "publish_time",
      "content",
      "uid",
      "picture",
      "filepath",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        column_id: "column_id",
        column_name: "column_name",
        title: "title",
        orgin: "orgin",
        publish: "publish",
        publish_time: "publish_time",
        content: "content",
        uid: 'uid',
        picture: "picture",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
