'use strict';

// const _ = require('lodash');
const meta = require('./.dock.js');
const Controller = require('egg').Controller;
const { CrudController } = require('naf-framework-mongoose/lib/controller');

// 公共聊天表管理
class DockController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.service = this.ctx.service.dock;
  }

  // GET
  // 查询
  async myapply() {
    const res = await this.service.myapply(this.ctx.query);
    this.ctx.ok({ ...res });
  }

  async updatevipuser() {
    const res = await this.service.updatevipuser(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ ...res });
  }

  async createvipuser() {
    const res = await this.service.createvipuser(this.ctx.params, this.ctx.request.body);
    this.ctx.ok({ ...res });
  }

  async dockfetch() {
    const res = await this.service.dockfetch(this.ctx.params);
    this.ctx.ok({ ...res });
  }
  async getdock() {
    const res = await this.service.getdock(this.ctx.params);
    this.ctx.ok({ res });
  }
  async getapply() {
    const res = await this.service.getapply(this.ctx.request.body);
    this.ctx.ok({ res });
  }

  async getdockByopenid() {
    const res = await this.service.getdockByopenid(this.ctx.query);
    this.ctx.ok({ res });
  }

  async getgoodslist() {
    const data = await this.service.getgoodslist(this.ctx.query);
    this.ctx.ok({ data });
  }
}

module.exports = CrudController(DockController, meta);
